For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DiscordGet API Key
  • Getting Started
    • Overview
    • Quickstart
    • Errors
    • Pricing
  • Chat
    • Overview
    • Chat with Image, Video, and Audio
    • Function Calling
    • Models
  • Vision
    • Overview
    • Rate Limits
    • Pricing
    • MCP Server
    • Video Management
    • Video Group Management
    • Video Search
    • Video QA
    • Clip Generation
    • Metadata Tagging
    • Image Management
    • Image Search
        • GETList Videos
        • POSTUpload Video
        • GETGet Video
        • DELDelete Video
        • PATCHUpdate Video Metadata
        • GETList Video Groups
        • POSTCreate Video Group
        • GETGet Video Group
        • DELDelete Video Group
        • PATCHUpdate Video Group
        • GETList Group Videos
        • POSTMove Videos To Group
        • GETGet Feature Catalog
        • POSTPlan Features
        • POSTTrigger Captions
        • POSTTrigger Objects
        • POSTTrigger Embeddings
        • POSTTrigger Transcript
        • POSTSearch
        • POSTChat
        • GETList Captions
        • GETList Transcript
        • GETList Scenes
        • GETList Objects
        • POSTSegment
  • Research
    • Overview
    • Streaming
    • Reasoning Steps
    • Web Search
    • Structured Output
    • Parallel Thinking
    • Best Practices
    • Errors
    • Examples
  • Speech
    • Overview
    • Audio Transcription
    • Speech Translation
    • Speech-to-Speech Translation
  • Resources
    • FAQs
    • Changelog
    • System Status
LogoLogo
DiscordGet API Key
VisionAPI ReferenceV2

Chat

POST
https://vision-agent.api.reka.ai/v2/chat
POST
/v2/chat
$curl -X POST https://vision-agent.api.reka.ai/v2/chat \
> -H "X-Api-Key: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "messages": [
> {
> "role": "user",
> "content": "string"
> }
> ],
> "context": [
> {
> "video_id": "string"
> }
> ]
>}'
200Successful
1{
2 "response": "string",
3 "model": "string"
4}
Was this page helpful?
Previous

List Captions

Next
Built with

Authentication

X-Api-Keystring

API key authentication via X-Api-Key header

OR
AuthorizationBearer
Bearer token authentication via Authorization header

Headers

X-Enable-Overwrite-Meteringstring or nullOptional

Request

This endpoint expects an object.
messageslist of objectsRequired
Conversation history. The last message must be from the user.
contextlist of objectsRequired
Videos to analyze. Each entry references a video, optionally with a time range for visual analysis. At least one required.

Response

Successful Response
responsestring
The answer to the user's question about the video
modelstring
LLM model that generated the response